Name:      chestnut-dialer
Version:   0.3.2
Release:   1
Summary:   A PPP dialing program, written in Python.
Summary(ru_RU.KOI8-R):     PPP,   Python.
Summary(uk_UA.KOI8-U):     PPP,   Python.
License:   GPL
Source:    %{name}-%{version}.tar.bz2
URL:       http://chestnut-dialer.sourceforge.net
Group:     Applications/Communications

%define pppconfdir /etc/ppp
%define docdir %{_datadir}/chestnut-dialer/chestnut_dialer/doc
%define consolehelper /usr/bin/consolehelper
%define pamdir /etc/pam.d
%define consoleappsdir /etc/security/console.apps

%{!?_with_gtk2: %{!?_without_gtk2: %define _with_gtk2 1}}
%{!?_with_qt: %{!?_without_qt: %define _with_qt 1}}

Requires: ppp
Requires: python >= 2.2
Requires: libxml2-python
Prereq(post,preun): /sbin/install-info
%{?_with_consolehelper:Requires: %{consolehelper}}

BuildArchitectures: noarch
BuildRequires: ppp
BuildRequires: python >= 2.2
BuildRequires: libxml2-python
BuildRequires: texinfo
%{?_with_gtk2:BuildRequires: pygtk2}
%{?_with_gtk2:BuildRequires: pygtk2-libglade}
%{?_with_qt:BuildRequires: PyQt}
%{?_with_consolehelper:BuildRequires: %{consolehelper}}

BuildRoot: %{_tmppath}/%{name}-root

%description
Chestnut Dialer is PPP dialing program, written in Python.
Current version %{version} can work with GTK2, QT, and without GUI
(command line interface). Chestnut Dialer does not require root 
permissions, but requires read and/or write access to some system 
files (modem device etc.). Chestnut Dialer uses standard pppd 
daemon to set up network interface.

%description -l ru_RU.KOI8-R
Chestnut Dialer -      PPP,
  Python.   (%{version})  
 GTK2, QT,     (  ).
Chestnut Dialer    ,  
   /       (
 ). Chestnut Dialer    pppd
   .

%description -l uk_UA.KOI8-U
Chestnut Dialer -      PPP,
  Python. Ҧ Ӧ (%{version})  
 GTK2, QT,   Ʀ  (  ).
Chestnut Dialer դ  צ ,  դ
   /      ̦ (
). Chestnut Dialer դ   pppd
 '  .

%if %{?_with_gtk2:1}%{!?_with_gtk2:0}

%package gtk2
Summary:   GTK2 user interface for Chestnut Dialer.
Summary(ru_RU.KOI8-R):   GTK2  Chestnut Dialer.
Summary(uk_UA.KOI8-U):   GTK2  Chestnut Dialer.
Group:     Applications/Communications
Requires: %{name} = %{version}
Requires: pygtk2
Requires: pygtk2-libglade

%description gtk2
This is the GTK2 user interface for Chestnut Dialer.

%description -l ru_RU.KOI8-R gtk2
  GTK2  Chestnut Dialer.

%description -l uk_UA.KOI8-U gtk2
  GTK2  Chestnut Dialer.

%endif

%if %{?_with_qt:1}%{!?_with_qt:0}

%package qt
Summary:   QT user interface for Chestnut Dialer.
Summary(ru_RU.KOI8-R):   QT  Chestnut Dialer.
Summary(uk_UA.KOI8-U ):   QT  Chestnut Dialer.
Group:     Applications/Communications
Requires: %{name} = %{version}
Requires: PyQt

%description qt
This is the QT user interface for Chestnut Dialer.

%description -l ru_RU.KOI8-R qt
  QT  Chestnut Dialer.

%description -l uk_UA.KOI8-U qt
  QT  Chestnut Dialer.

%endif

%prep
%setup -q

%build
%configure \
	%{?_with_gtk2:--enable-gtk2} \
	%{?_without_gtk2:--disable-gtk2} \
	%{?_with_qt:--enable-qt} \
	%{?_without_qt:--disable-qt} \
	--with-pppconfdir=%{pppconfdir} \
	--with-docdir=%{docdir} \
	%{?_with_consolehelper} \
	--with-pamdir=%{pamdir} \
	--with-consoleappsdir=%{consoleappsdir}
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
install -m 0755 -d $RPM_BUILD_ROOT%{_datadir}/applications
install -m 0644 chestnut-dialer.desktop $RPM_BUILD_ROOT%{_datadir}/applications

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info %{_infodir}/chestnut-dialer.info.gz %{_infodir}/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --del %{_infodir}/chestnut-dialer.info.gz %{_infodir}/dir
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS* README* FAQ*
%{pppconfdir}/peers/*
%{_bindir}/chestnut-dialer
%if %{?_with_consolehelper:1}%{!?_with_consolehelper:0}
%{_sbindir}/chestnut-dialer
%{pamdir}/chestnut-dialer
%{consoleappsdir}/chestnut-dialer
%endif
%{_datadir}/chestnut-dialer/chestnut_dialer/dobj
%{_datadir}/chestnut-dialer/chestnut_dialer/doc
%{_datadir}/chestnut-dialer/chestnut_dialer/dockicons
%{_datadir}/chestnut-dialer/chestnut_dialer/importers
%{_datadir}/chestnut-dialer/chestnut_dialer/none_ui
%{_datadir}/chestnut-dialer/chestnut_dialer/*.py*
%{_datadir}/chestnut-dialer/chestnut_dialer/*.x*
%{_datadir}/icons/chestnut-dialer.png
%{_datadir}/applications/chestnut-dialer.desktop
%{_datadir}/locale/*/LC_MESSAGES/chestnut-dialer.mo
%{_infodir}/%{name}*.info*
%{_mandir}/man1/chestnut-dialer*

%if %{?_with_gtk2:1}%{!?_with_gtk2:0}

%files gtk2
%defattr(-,root,root)
%{_datadir}/chestnut-dialer/chestnut_dialer/gtk2_ui

%endif

%if %{?_with_qt:1}%{!?_with_qt:0}

%files qt
%defattr(-,root,root)
%{_datadir}/chestnut-dialer/chestnut_dialer/qt_ui

%endif
